Subject: Re: bug#62291: 30.0.50; PGTK copy + paste to other app problem

From: Andrew Tropin <[email-masked]>
Date: Tue, 12 Sep 2023 15:24:39 +0400

On 2023-09-11 17:11, Stefan Kangas wrote:

> tags 62291 + moreinfo
> thanks
>
> Po Lu <[email-masked]> writes:
>
>> Andrew Tropin <[email-masked]> writes:
>>
>>> I restart the debbugger every time because otherwise my clipboard is
>>> "locked", so the widget from p widget and from output_data.pgtk are the
>>> same.  Sorry for the confusion.
>>>
>>> Thread 1 "emacs" received signal SIGSEGV, Segmentation fault.
>>> 0x00007ffff71b5424 in signal_emit_unlocked_R.isra.0 () from /gnu/store/96srhmpmxa20wmsck95g3iq4hb3lz4a0-glib-2.70.2/lib/libgobject-2.0.so.0
>>> (gdb) bt
>>> #0  0x00007ffff71b5424 in signal_emit_unlocked_R.isra.0 () from /gnu/store/96srhmpmxa20wmsck95g3iq4hb3lz4a0-glib-2.70.2/lib/libgobject-2.0.so.0
>>> #1  0x00007ffff71bb21b in g_signal_emit_valist () from /gnu/store/96srhmpmxa20wmsck95g3iq4hb3lz4a0-glib-2.70.2/lib/libgobject-2.0.so.0
>>> #2  0x00007ffff71bb722 in g_signal_emit () from /gnu/store/96srhmpmxa20wmsck95g3iq4hb3lz4a0-glib-2.70.2/lib/libgobject-2.0.so.0
>>> #3  0x00007ffff71a7884 in g_object_dispatch_properties_changed () from /gnu/store/96srhmpmxa20wmsck95g3iq4hb3lz4a0-glib-2.70.2/lib/libgobject-2.0.so.0
>>> #4  0x00007ffff71a9834 in g_object_notify_by_pspec () from /gnu/store/96srhmpmxa20wmsck95g3iq4hb3lz4a0-glib-2.70.2/lib/libgobject-2.0.so.0
>>> #5  0x00007ffff79afbcd in gtk_window_focus_in_event (event=<optimized out>, widget=0x109a500) at gtkwindow.c:8503
>>> #6  gtk_window_focus_in_event (widget=widget@entry=0x109a500, event=<optimized out>) at gtkwindow.c:8491
>>> #7 0x00007ffff79de357 in _gtk_marshal_BOOLEAN__BOXED (closure=0x10b73e0,
>>> return_value=0x7fffffffb570, n_param_values=<optimized out>,
>>> param_values=0x7fffffffb620,
>>>     invocation_hint=<optimized out>, marshal_data=<optimized out>) at gtkmarshalers.c:83
>>> #8  0x00007ffff71a34af in g_closure_invoke () from /gnu/store/96srhmpmxa20wmsck95g3iq4hb3lz4a0-glib-2.70.2/lib/libgobject-2.0.so.0
>>> #9  0x00007ffff71b49e9 in signal_emit_unlocked_R.isra.0 () from /gnu/store/96srhmpmxa20wmsck95g3iq4hb3lz4a0-glib-2.70.2/lib/libgobject-2.0.so.0
>>
>> Right, thanks for clarifying that.
>> Perhaps this crash is not related to the widget being destroyed.
>> If you install debuginfo and debug source for libgobject, then type `l',
>> where does it show the crash occurs?
>
> Ping.  Andrew, did you get any further with this?

I couldn't get debug symbols for libgobject, probably cause of grafts
and kinda gave up on this issue, sorry.

For the whole time we were using this fix in rde:
https://git.sr.ht/~abcdw/rde/tree/8d6a6b47/src/rde/features/emacs.scm#L217

And recently (a few minutes ago) I found out that the problem
dissapeared, so I don't need this fix anymore.  IDK, if it is due to
chromium version update or emacs.

Thank you very much for pinging! :)

I will report further in case it reappears.

-- 
Best regards,
Andrew Tropin